Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.World.Preys
Class DumbPredator

    java.lang.Object
      madkit.kernel.AbstractAgent
          SEdit.Formalisms.World.Preys.AbstractPredator
              SEdit.Formalisms.World.Preys.DumbPredator

All Implemented Interfaces:
  java.io.Serializable, Brain

    public class DumbPredator

extends AbstractPredator

A very simple predator which is absolutely dumb!!

See Also:
  Serialized Form

Field Summary

Fields inherited from class SEdit.Formalisms.World.Preys.AbstractPredator
`body`

Constructor Summary
`DumbPredator()`

Method Summary
`void` | `doIt()` brain activator

Methods inherited from class SEdit.Formalisms.World.Preys.AbstractPredator
`activate, delete, end, getBody, getCoeffPredator, getCoeffPrey, setBehaviorFileName, setBody, setCoeffPredator, setCoeffPrey`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DumbPredator

    public DumbPredator()

Method Detail

### doIt

    public void doIt()

  brain activator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.